Bug 591303 - drpython "won't start"
drpython "won't start"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: drpython (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Henrique "LonelySpooky" Junior
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 16:20 EDT by Tom London
Modified: 2012-08-16 14:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to include the python interpreter in the system call (356 bytes, patch)
2010-09-16 21:03 EDT, Steven Hadfield
no flags Details | Diff
Patch to include bang notation in Python file (351 bytes, patch)
2010-09-16 21:04 EDT, Steven Hadfield
no flags Details | Diff

  None (edit)
Description Tom London 2010-05-11 16:20:33 EDT
Description of problem:
Just installed drpython from koji:

Transaction Test Succeeded
Running Transaction
  Installing     : wxPython-2.8.10.1-2.fc14.x86_64                          1/2 
  Installing     : drpython-3.11.1-1.fc13.noarch                            2/2 

Installed:
  drpython.noarch 0:3.11.1-1.fc13                                               

Dependency Installed:
  wxPython.x86_64 0:2.8.10.1-2.fc14  

Trying to run, either from gnome menu or from command line just brings up a "cross hair" cursor, but nothing else.

Checking ~/.xsession-errors, I see:

import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to open image `wx.stc':  @ error/blob.c/OpenBlob/2489.
import: unable to open image `wx.lib.dialogs':  @ error/blob.c/OpenBlob/2489.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 49: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 50: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 51: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 52: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 53: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 54: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 55: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 56: from: command not found
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 61: from: command not found
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 66: from: command not found
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 68: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 69: from: command not found
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to open image `tempfile': 
                                         h��� @ error/blob.c/OpenBlob/2489.
import: unable to open image `tempfile': b� @ error/blob.c/OpenBlob/2489.
import: unable to open image `time': ,��� @ error/blob.c/OpenBlob/2489.
import: unable to open image `time': >. @ error/blob.c/OpenBlob/2489.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 74: syntax error near unexpected token `('
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 74: `logdir = os.path.expanduser("~").replace("\\", "/")'


Version-Release number of selected component (if applicable):
drpython-3.11.1-1.fc13.noarch
package wxpython is not installed
python-2.6.5-8.fc14.x86_64


How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2010-05-11 17:03:31 EDT
Manually entering the python in /usr/bin/drpython shows:

[tbl@tlondon ~]$ python
Python 2.6.5 (r265:79063, May  4 2010, 19:52:55) 
[GCC 4.4.4 20100503 (Red Hat 4.4.4-2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import os
>>> import distutils.sysconfig
>>> 
>>> py = distutils.sysconfig.get_python_lib()
>>> py = py + "/drpython"
>>> os.chdir(py)
>>> cwd = os.getcwd()
>>> os.system (py + "/drpython.py")
import: unable to open image `traceback': �M\
� @ error/blob.c/OpenBlob/2489.
import: unable to open image `traceback': R` @ error/blob.c/OpenBlob/2489.
import: unable to open image `wx.stc':  @ error/blob.c/OpenBlob/2489.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 49: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 50: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 51: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 52: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 53: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 54: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 55: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 56: from: command not found
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 61: from: command not found
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 66: from: command not found
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 68: from: command not found
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 69: from: command not found
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
import: unable to grab mouse `': Resource temporarily unavailable @ error/xwindow.c/XSelectWindow/9007.
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 74: syntax error near unexpected token `('
/usr/lib/python2.6/site-packages/drpython/drpython.py: line 74: `logdir = os.path.expanduser("~").replace("\\", "/")'
512
>>> 
[tbl@tlondon ~]$ 


I pretty much just clicked a few times (both right and left buttons) while the "crosshairs" cursor was displayed.

Better list of rpm versions:

[tbl@tlondon ~]$ rpm -q drpython wxPython python
drpython-3.11.1-1.fc13.noarch
wxPython-2.8.10.1-2.fc14.x86_64
python-2.6.5-8.fc14.x86_64
[tbl@tlondon ~]$
Comment 2 Fedora Admin XMLRPC Client 2010-05-13 10:07:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-07-30 07:36:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Steven Hadfield 2010-09-16 20:49:34 EDT
I have this same problem in 13. It won't run from the /usr/bin/drpython, but will run if you call the drpython python script directly (which is what /usr/bin/drpython does anyway).

i.e.: '/usr/bin/drpython' gives the error above, but if you call 'python /usr/lib/python2.6/site-packages/drpython/drpython.py', it works (you may need to change the python version).
Comment 5 Steven Hadfield 2010-09-16 21:02:15 EDT
I got it: the problem is that there is no bang notation for drpython.py. /usr/bin/drpython is calling it from the shell without an interpreter.

Either add 'python' to the system call in /usr/bin/drpython to line 9
'os.system ("/usr/bin/python " + py + "/drpython.py")' 

or add the bang notation to drpython.py on line 1

#!/usr/bin/python
Comment 6 Steven Hadfield 2010-09-16 21:03:30 EDT
Created attachment 447873 [details]
Patch to include the python interpreter in the system call
Comment 7 Steven Hadfield 2010-09-16 21:04:40 EDT
Created attachment 447874 [details]
Patch to include bang notation in Python file

Either patch will fix the problem
Comment 8 Fedora End Of Life 2012-08-16 14:15:54 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.